FROM ros:humble

USER root

# install rosbridge
RUN apt-get update && \
    apt-get install -y \
    ros-humble-rosbridge-suite

EXPOSE 9090

# start rosbridge
CMD ["ros2","launch", "rosbridge_server", "rosbridge_websocket_launch.xml"]
